<template>
  <div v-if="fields.image" class="hero-banner">
    <img
      :src="fields.image.fields.file.url"
      :alt="fields.image.fields.title"
      :width="fields.image.fields.file.details.image.width"
      :height="fields.image.fields.file.details.image.height"
      class="img-fluid w-100 h-auto"
    />
    <div class="container-fluid">
      <div class="row">
        <div class="col-lg-7">
          <h1 v-if="fields.title">{{ fields.title }}</h1>
          <p v-if="fields.text">{{ fields.text }}</p>
          <b-button v-if="fields.ctaText" href="#" size="lg" variant="primary">
            {{ fields.ctaText }}
          </b-button>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  props: {
    fields: {
      type: Object,
      required: true
    }
  }
}
</script>

<style scoped lang="scss">
@import './assets/scss/bootstrap-variable-override';

.hero-banner {
  position: relative;
  color: white;
  display: flex;
  align-items: center;
  flex-direction: column;
  min-height: 520px;
  h1 {
    font-size: 3rem;
    color: white;
    margin-bottom: 2rem;
    line-height: 1.25;
  }
  p {
    color: inherit;
    font-size: 1.375rem;
    margin-bottom: 2rem;
  }
  .container-fluid {
    position: absolute;
    display: flex;
    height: 100%;
    align-items: center;
  }
}
</style>
